Tag Parser: TagParser::Mpeg4ElementaryStreamInfo Class Reference

Tag Parser 12.5.3 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TagParser::Mpeg4ElementaryStreamInfo Class Reference

The Mpeg4ElementaryStreamInfo class holds MPEG-4 elementary stream info parsed using Mp4Track::parseMpeg4ElementaryStreamInfo(). More...

`#include <mp4track.h>`

Collaboration diagram for TagParser::Mpeg4ElementaryStreamInfo:
[legend]

## Public Member Functions
| Mpeg4ElementaryStreamInfo ()
bool | dependencyFlag () const
bool | urlFlag () const
bool | ocrFlag () const
std::uint8_t | priority () const
std::uint8_t | streamTypeId () const
bool | upstream () const

## Public Attributes
std::uint16_t | id
std::uint8_t | esDescFlags
std::uint16_t | dependsOnId
std::string | url
std::uint16_t | ocrId
std::uint8_t | objectTypeId
std::uint8_t | decCfgDescFlags
std::uint32_t | bufferSize
std::uint32_t | maxBitrate
std::uint32_t | averageBitrate
std::unique_ptr< Mpeg4AudioSpecificConfig > | audioSpecificConfig
std::unique_ptr< Mpeg4VideoSpecificConfig > | videoSpecificConfig

## Detailed Description

The Mpeg4ElementaryStreamInfo class holds MPEG-4 elementary stream info parsed using Mp4Track::parseMpeg4ElementaryStreamInfo().

Definition at line 52 of file mp4track.h.

## Constructor & Destructor Documentation

## ◆ Mpeg4ElementaryStreamInfo()

TagParser::Mpeg4ElementaryStreamInfo::Mpeg4ElementaryStreamInfo | ( |  | ) |
| inline

Definition at line 77 of file mp4track.h.

## Member Function Documentation

## ◆ dependencyFlag()

bool TagParser::Mpeg4ElementaryStreamInfo::dependencyFlag | ( |  | ) | const
| inline

Definition at line 90 of file mp4track.h.

## ◆ ocrFlag()

bool TagParser::Mpeg4ElementaryStreamInfo::ocrFlag | ( |  | ) | const
| inline

Definition at line 100 of file mp4track.h.

## ◆ priority()

std::uint8_t TagParser::Mpeg4ElementaryStreamInfo::priority | ( |  | ) | const
| inline

Definition at line 105 of file mp4track.h.

## ◆ streamTypeId()

std::uint8_t TagParser::Mpeg4ElementaryStreamInfo::streamTypeId | ( |  | ) | const
| inline

Definition at line 110 of file mp4track.h.

## ◆ upstream()

bool TagParser::Mpeg4ElementaryStreamInfo::upstream | ( |  | ) | const
| inline

Definition at line 115 of file mp4track.h.

## ◆ urlFlag()

bool TagParser::Mpeg4ElementaryStreamInfo::urlFlag | ( |  | ) | const
| inline

Definition at line 95 of file mp4track.h.

## Member Data Documentation

## ◆ audioSpecificConfig

std::unique_ptr<Mpeg4AudioSpecificConfig> TagParser::Mpeg4ElementaryStreamInfo::audioSpecificConfig

Definition at line 73 of file mp4track.h.

## ◆ averageBitrate

std::uint32_t TagParser::Mpeg4ElementaryStreamInfo::averageBitrate

Definition at line 72 of file mp4track.h.

## ◆ bufferSize

std::uint32_t TagParser::Mpeg4ElementaryStreamInfo::bufferSize

Definition at line 70 of file mp4track.h.

## ◆ decCfgDescFlags

std::uint8_t TagParser::Mpeg4ElementaryStreamInfo::decCfgDescFlags

Definition at line 69 of file mp4track.h.

## ◆ dependsOnId

std::uint16_t TagParser::Mpeg4ElementaryStreamInfo::dependsOnId

Definition at line 65 of file mp4track.h.

## ◆ esDescFlags

std::uint8_t TagParser::Mpeg4ElementaryStreamInfo::esDescFlags

Definition at line 64 of file mp4track.h.

## ◆ id

std::uint16_t TagParser::Mpeg4ElementaryStreamInfo::id

Definition at line 63 of file mp4track.h.

## ◆ maxBitrate

std::uint32_t TagParser::Mpeg4ElementaryStreamInfo::maxBitrate

Definition at line 71 of file mp4track.h.

## ◆ objectTypeId

std::uint8_t TagParser::Mpeg4ElementaryStreamInfo::objectTypeId

Definition at line 68 of file mp4track.h.

## ◆ ocrId

std::uint16_t TagParser::Mpeg4ElementaryStreamInfo::ocrId

Definition at line 67 of file mp4track.h.

## ◆ url

std::string TagParser::Mpeg4ElementaryStreamInfo::url

Definition at line 66 of file mp4track.h.

## ◆ videoSpecificConfig

std::unique_ptr<Mpeg4VideoSpecificConfig> TagParser::Mpeg4ElementaryStreamInfo::videoSpecificConfig

Definition at line 74 of file mp4track.h.

The documentation for this class was generated from the following file:

- mp4/mp4track.h